## icedove 52.3.0

=== mozilla/security/nss/tests/remote/Makefile ===
#! gmake
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################



#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

TESTPACKAGE="nss-$(OS_TARGET)$(CPU_TAG).tgz"
RTSH=$(DIST)/../../runtests.sh
PCFG=$(DIST)/platform.cfg


#Hint: In order to test the Makefiles without running the tests, use:
#      make NSS_CYCLES="standard" NSS_TESTS="dummy"

ifeq ($(OS_TARGET),Android)
TEST_SHELL?=$$HOME/bin/sh
ANDROID_PORT?="2222"
#Define the subset of tests that is known to work on Android
NSS_CYCLES?="standard pkix upgradedb sharedb"
NSS_TESTS?="cipher lowhash libpkix cert dbtests tools sdr crmf smime ssl ocsp merge pkits chains"
NSS_SSL_TESTS?="crl normal_normal iopr"
NSS_SSL_RUN?="cov auth stress"
else
TEST_SHELL?="/bin/sh"
endif

# Create a package for test execution on a separate system.
package_for_testing:
	echo "export OBJDIR=$(OBJDIR_NAME)"     > $(PCFG)
	echo "export OS_ARCH=$(OS_ARCH)"       >> $(PCFG)
	echo "export OS_TARGET=$(OS_TARGET)"   >> $(PCFG)
	echo "export DLL_PREFIX=$(DLL_PREFIX)" >> $(PCFG)
	echo "export DLL_SUFFIX=$(DLL_SUFFIX)" >> $(PCFG)
	echo 'echo "set HOST and DOMSUF if your system is not registered in DNS"' > $(RTSH)
	cat $(PCFG)                                  >> $(RTSH)
	echo 'export NSS_TESTS=$(NSS_TESTS)'         >> $(RTSH)
	echo 'export NSS_SSL_TESTS=$(NSS_SSL_TESTS)' >> $(RTSH)
	echo 'export NSS_SSL_RUN=$(NSS_SSL_RUN)'     >> $(RTSH)
	echo 'export NSS_CYCLES=$(NSS_CYCLES)'       >> $(RTSH)
	echo 'export USE_64=$(USE_64)'               >> $(RTSH)
	echo 'export BUILD_OPT=$(BUILD_OPT)'         >> $(RTSH)
	echo 'export PKITS_DATA=$(PKITS_DATA)'       >> $(RTSH)
	echo 'export NSS_DISABLE_ECC=$(NSS_DISABLE_ECC)'                     >> $(RTSH)
	echo 'export NSPR_LOG_MODULES=$(NSPR_LOG_MODULES)'                   >> $(RTSH)
ifeq ($(OS_TARGET),Android)
	# Android doesn't support FIPS tests, because
	# dladdr does not return a full path for implicitly loaded libraries
	echo "export NSS_TEST_DISABLE_FIPS=1" >> $(DIST)/platform.cfg
endif
ifeq ($(CROSS_COMPILE),1)
# execute signing on test system
	echo 'export DIST=$${HOME}/nsstest/dist/'           >> $(RTSH)
	echo 'export NSPR_LIB_DIR=$${DIST}/$${OBJDIR}/lib/' >> $(RTSH)
	echo 'echo "signing"'                               >> $(RTSH)
# work around a bug in Android ash that has a corrupted work directory after login
	echo 'cd $${HOME}/nsstest'                          >> $(RTSH)
	echo 'cd nss/cmd/shlibsign'                         >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}freebl3.$${DLL_SUFFIX}'  >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}softokn3.$${DLL_SUFFIX}' >> $(RTSH)
	echo '$(TEST_SHELL) ./sign.sh $${DIST}/$${OBJDIR}/ $${DIST}/$${OBJDIR}/bin $${OS_TARGET} $${NSPR_LIB_DIR} $${NSPR_LIB_DIR}$${DLL_PREFIX}nssdbm3.$${DLL_SUFFIX}'  >> $(RTSH)
ifneq ($(OS_TARGET),Android)
# Android's ash doesn't support "export -n" yet
	echo 'export -n DIST'                          >> $(RTSH)
	echo 'export -n NSPR_LIB_DIR'                  >> $(RTSH)
endif
	echo 'cd ../../../'                            >> $(RTSH)
endif
	echo 'rm -rf tests_results'                    >> $(RTSH)
	echo 'echo "running tests"'                    >> $(RTSH)
	echo 'cd nss/tests'                            >> $(RTSH)
	# We require progress indication on stdout while running the tests (to avoid timeouts).
	set -o pipefail
	echo '$(TEST_SHELL) ./all.sh | tee ../../logfile 2>&1 |grep ": #"'          >> $(RTSH)
	RETVAL=$?
	echo 'cd ../../'                               >> $(RTSH)
	# dump test summary from end of logfile
	echo 'echo "=========="; tail -100 logfile'    >> $(RTSH)
	echo 'tar czf tests_results.tgz tests_results'                              >> $(RTSH)
	echo 'echo "created tests_results.tgz"'                                     >> $(RTSH)
	echo 'echo "results are in directory: "`ls -1d tests_results/security/*.1`' >> $(RTSH)
	echo 'echo exit status: $${RETVAL}'                                         >> $(RTSH)
	echo 'exit $${RETVAL}'                                                      >> $(RTSH)
	rm -f $(TESTPACKAGE)
	(cd $(DIST)/../.. ; tar czhf dist/$(TESTPACKAGE) runtests.sh dist/$(OBJDIR_NAME) dist/public nss/tests nss/cmd/bltest/tests nss/cmd/pk11gcmtest/tests nss/cmd/shlibsign; echo "created "`pwd`"/dist/$(TESTPACKAGE)" )

android_run_tests:
	ssh -p $(ANDROID_PORT) -o CheckHostIP=no $(ANDROID_ADDR)  'pwd; cd; pwd; cd nsstest; export PATH=$$HOME/bin:$$PATH ; $(TEST_SHELL) runtests.sh'

android_install:
	rm -f $(DIST)/android.sftp
	echo '-mkdir nsstest' > $(DIST)/android.sftp
	echo '-rm nsstest/$(TESTPACKAGE)' >> $(DIST)/android.sftp
	echo 'progress' >> $(DIST)/android.sftp
	echo 'put $(DIST)/../$(TESTPACKAGE) nsstest' >> $(DIST)/android.sftp
	sftp -o Port=$(ANDROID_PORT) -o CheckHostIP=no -b $(DIST)/android.sftp $(ANDROID_ADDR)
	ssh -p $(ANDROID_PORT) -o CheckHostIP=no $(ANDROID_ADDR)  'cd nsstest ; $$HOME/bin/rm -rf logfile runtests.sh dist security tests_results tests_results.tgz;  $$HOME/bin/tar xzf $(TESTPACKAGE)'

WORKDIR="$(DIST)/../../"
RESULTSPACKAGE=tests_results.tgz
android_get_result:
	rm -f $(WORKDIR)/result.sftp $(WORKDIR)/$(RESULTSPACKAGE)
	echo "progress" > $(WORKDIR)/result.sftp
	echo 'get nsstest/$(RESULTSPACKAGE) $(WORKDIR)' >> $(WORKDIR)/result.sftp
	sftp -o Port=$(ANDROID_PORT) -o CheckHostIP=no -b $(WORKDIR)/result.sftp $(ANDROID_ADDR) 
	(cd $(WORKDIR); tar xzf $(RESULTSPACKAGE); rm -f result.sftp $(RESULTSPACKAGE) )

# Android testing assumes having built with: OS_TARGET=Android CROSS_COMPILE=1
# Connectivity tested with Android app: SSHDroid
# Provide appropriate ANDROID_ADDR variable, e.g.:
#   make test_android ANDROID_ADDR=root@192.168.4.5
# See also: https://wiki.mozilla.org/NSS:Android

test_android: package_for_testing android_install android_run_tests android_get_result

=== debian/changelog ===
icedove (1:52.3.0-4~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security
  * [9e08bf9] debian/control: be more relaxed on Breaks for enigmail

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Sep 2017 18:15:17 +0200

icedove (1:52.3.0-4) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [3ddf57b] rebuild patch queue from patch-queue branch
  * [3bd845d] debian/control: increase Standards-Version to 4.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Aug 2017 16:17:24 +0200

icedove (1:52.3.0-3) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [c08f005] rebuild patch queue from patch-queue branch
  * [f658cab] debian/rules: enable verbose build for ICU

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 28 Aug 2017 19:44:07 +0200

icedove (1:52.3.0-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [d544a01] debian/rules: correct icu build sequence

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 22 Aug 2017 18:57:36 +0200

icedove (1:52.3.0-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [8e852be] New upstream version 52.3.0
    Fixed CVE issues in upstream version 52.0 (MFSA 2017-20)
    CVE-2017-7800: Use-after-free in WebSockets during disconnection
    CVE-2017-7801: Use-after-free with marquee during window resizing
    CVE-2017-7809: Use-after-free while deleting attached editor DOM node
    CVE-2017-7784: Use-after-free with image observers
    CVE-2017-7802: Use-after-free resizing image elements
    CVE-2017-7785: Buffer overflow manipulating ARIA attributes in DOM
    CVE-2017-7786: Buffer overflow while painting non-displayable SVG
    CVE-2017-7753: Out-of-bounds read with cached style data and
                   pseudo-elements
    CVE-2017-7787: Same-origin policy bypass with iframes through page reloads
    CVE-2017-7807: Domain hijacking through AppCache fallback
    CVE-2017-7792: Buffer overflow viewing certificates with an extremely
                   long OID
    CVE-2017-7804: Memory protection bypass through WindowsDllDetourPatcher
    CVE-2017-7791: Spoofing following page navigation with data: protocol and
                   modal alerts
    CVE-2017-7782: WindowsDllDetourPatcher allocates memory without DEP
                   protections
    CVE-2017-7803: CSP containing 'sandbox' improperly applied
    CVE-2017-7779: Memory safety bugs fixed in Firefox 55, Firefox ESR 52.3,
                   and Thunderbird 52.3
  * [0b7243b] debian/rules: build icudt5*.dat on our own if needed
    If we need to use the internal sources of ICU (triggered by
    using --with-system-icu) we need to build the platform depended file
    icudt*[b,l].dat before we can call the configure run.
    This is needed as Mozilla only ships a precompiled little endian version
    of the file icudt*.dat and all platforms with big endianness are failing
    later due issues related to the wrong endianness.
  * [1964469] debian/mozconfig.default: enable i18n on big endian
  * [6b58ac5] debian/control: increase Standards-Version to 4.0.1
  * [e59cf81] rebuild patch queue from patch-queue branch
    removed patche(s) (applied upstream):
    - fixes/Bug-1308908-Compare-the-whole-accessible-name-when-checki.patch
    updated/refreshed patches (no changes):
    - porting-kfreebsd-hurd/adding-missed-HURD-adoptions.patch

  [ Simon Deziel ]
  * [a574010] apparmor/usr.bin.thunderbird: small update to avoid noise

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 19 Aug 2017 18:27:19 +0200

icedove (1:52.2.1-5) unstable; urgency=high

  [ Carsten Schoenert ]
  * [133a574] Use gcc-6 and g++-6 due broken GUI with GCC-7
    The usage of the GCC-7 suite introduces a broken GUI currently that make
    using thunderbird mostly impossible.
    (Closes: #871629)
  * [3ebacd1] d/rules: use DEB_* variables for entries from changelog
    By using variables that are prepared by dpkg we don't need to manually
    search for dates and versions. etc.
  * [52c2b83] d/copyright: MPL-1.1 and MPL-2.0 now provided by common-licenses
    Since policy 4.0.0 the two Mozilla related licenses are included and don't
    need to be added extra.
  * [3f37967] adjust X-Debian-Homepage to existing Thunderbird page
  * [41b5c03] debian/control: increase Standards-Version to 4.0.0
  * [e3c3994] mozconfig.default: use proper disabled options
  * [2d4b846] debian/control: increase Breaks for enigmail version
    (Closes: #869789)

  [ John Paul Adrian Glaubitz ]
  * [4879401] sh4: disable option --disable-pie (Closes: #867553)

  [ Carsten Schoenert ]
  * [2646f3f] autpkgtests: disable the idlTest.sh test case

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 11 Aug 2017 22:02:47 -0400

icedove (1:52.2.1-4~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security

 -- Guido Günther <agx@sigxcpu.org>  Fri, 21 Jul 2017 20:39:22 +0200

icedove (1:52.2.1-4) unstable; urgency=medium

  [ Guido Günther ]
  * [04de899] Don't use different profile folder for jessie and wheezy

  [ Carsten Schoenert ]
  * [692d3ce] rebuild patch queue from patch-queue branch (Closes: #867013)
    added patch (provided by Adrian):
    - porting-alpha/FTBFS-alpha-adjust-some-source-to-prevent-build-issues.patch
    removed patch:
    - porting-hurd/FTBFS-hurd-adding-GNU-to-the-configure-platform-detection.patch
    (wrong approach, the Python wrapper around configure isn't yet smart enough)

  [ John Paul Adrian Glaubitz ]
  * [5153ce2] mips: final fixups to prevent FTBFS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 06 Jul 2017 16:53:30 +0200

icedove (1:52.2.1-3) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * [99b323a] d/mozconfig.default: fixups for --without-intl-api

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jul 2017 10:18:05 +0200

icedove (1:52.2.1-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [e8ce299] disabling ICU support on some big endian systems


=== debian/control ===
Source: icedove
Section: mail
Priority: optional
Maintainer: Christoph Goehre <chris@sigxcpu.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 autoconf2.13,
 autotools-dev,
 bash-completion,
 bzip2,
 debhelper (>= 9.20160814~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 gcc-6,
 g++-6,
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libgnomeui-dev (>= 2.22),
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.2),
 libjsoncpp-dev,
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.5.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 mesa-common-dev,
 mozilla-devscripts,
 python-minimal (>= 2.6.6-13~),
 python-ply,
 python2.7,
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://anonscm.debian.org/cgit/pkg-mozilla/icedove.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/icedove.git
Homepage: http://www.mozilla.org/thunderbird/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.1.0

Package: thunderbird
Architecture: any
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightning (= ${binary:Version}),
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
 ${gnome:Depends},
Provides:
 mail-reader,
 icedove,
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Replaces:
 icedove (<< 1:45.6.0-2.1~),
Breaks:
 icedove (<< 1:45.6.0-2.1~),
 enigmail (<< 2:1.9.8.1-1~),
 hunspell-ar (<< 0.0.0+20080110-1.1),
 hunspell-da (<< 1:3.1.0-3),
 hunspell-de-at (<< 20071211-2),
 hunspell-de-ch (<< 20071211-2),
 hunspell-de-de (<< 20071211-2),
 hunspell-de-med (<< 20090825-1),
 hunspell-en-ca (<< 1:3.1.0-3),
 hunspell-en-us (<< 20070829-3),
 hunspell-fr (<< 1:3.1.0-3),
 hunspell-gl-es (<< 2.2a-6),
 hunspell-hu (<< 1:3.1.0-3),
 hunspell-ko (<< 0.3.3-1),
 hunspell-ne (<< 1:3.1.0-3),
 hunspell-se (<< 1.0~beta6.20081222-1.1),
 hunspell-sh (<< 1:3.1.0-3),
 hunspell-sr (<< 1:3.1.0-3),
 hunspell-uz (<< 0.6-3.1),
 hunspell-vi (<< 1:3.1.0-3),
 lightning (<< ${binary:Version}),
 myspell-af (<< 1:3.1.0-3),
 myspell-ca (<< 0.6-8),
 myspell-cs-cz (<< 20040229-4.1),
 myspell-da (<< 1.6.18-1.1),
 myspell-de-at (<< 20071211-2),
 myspell-de-ch (<< 20071211-2),
 myspell-de-de (<< 20071211-2),
 myspell-de-de-oldspell (<< 1:2-25.1),
 myspell-el-gr (<< 0.3-1.1),
 myspell-en-au (<< 2.1-5),
 myspell-en-gb (<< 1:3.1.0-3),
 myspell-en-us (<< 1:3.1.0-3),
 myspell-en-za (<< 1:3.1.0-3),
 myspell-eo (<< 2.1.2000.02.25-41),
 myspell-es (<< 1.10-7),
 myspell-et (<< 1:20030606-12.1),
 myspell-fa (<< 0.20070816-2),
 myspell-fi (<< 0.7-17.2),
 myspell-fo (<< 0.2.36-3),
 myspell-fr (<< 1.4-25),
 myspell-fr-gut (<< 1:1.0-26.1),
 myspell-ga (<< 2.0-19),
 myspell-gd (<< 0.50-7),
 myspell-gv (<< 0.50-8),
 myspell-hr (<< 20060617-2),
 myspell-hu (<< 0.99.4-1.2),
 myspell-hy (<< 0.10.1-1.1),
 myspell-it (<< 1:3.1.0-3),
 myspell-ku (<< 0.20.0-1.1),
 myspell-lv (<< 0.7.3-3.1),
 myspell-nb (<< 2.0.10-3.1),
 myspell-ne (<< 1.0-4.1),
 myspell-nl (<< 1:1.10-3),
 myspell-nn (<< 2.0.10-3.1),
 myspell-pl (<< 20090830-1),
 myspell-pt-br (<< 2009.03.30-1.1),
 myspell-pt-pt (<< 20090309-1.1),
 myspell-ru (<< 0.99g5-8.1),
 myspell-sk (<< 0.5.5a-2.1),
 myspell-sv-se (<< 1.3.8-6-2.2),
 myspell-sw (<< 1:3.1.0-3),
 myspell-th (<< 1:3.1.0-3),
 myspell-tl (<< 0.4-0-5),
 xul-ext-compactheader (<< 2.1.0~),
 xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: icedove
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
Description: mail/news client with RSS and integrated spam filter support
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 The goal of Icedove is to produce a cross platform standalone mail application
 using the XUL user interface language.
 .
 This is a transitional package. It can be safely removed.

Package: thunderbird-dev
Architecture: any
Depends:
 thunderbird (= ${binary:Version}),
 libnspr4-dev,
 libnss3-dev,
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 icedove-dev (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dev (<< 1:45.6.0-2.1~),
Provides:
 icedove-dev,
Description: Development files for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Thunderbird.

Package: icedove-dev
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 thunderbird-dev (>= ${binary:Version}),
 ${misc:Depends},
Description: Development files for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the development headers, idl files and static libraries
 needed to develop applications using Icedove.
 .
 This is a transitional package. It can be safely removed.

Package: thunderbird-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends:
 thunderbird (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-dbg (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dbg (<< 1:45.6.0-2.1~),
Provides:
 icedove-dbg,
Description: Debug Symbols for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the debug symbols for Thunderbird. Install this package
 if you need to debug such a program or if you need a useful backtrace of a
 crash.

Package: icedove-dbg
Architecture: all
Priority: extra
Section: oldlibs
Depends:
 thunderbird-dbg,
 ${misc:Depends},
Description: Debug Symbols for Icedove
 Icedove is an unbranded Thunderbird mail client suitable for free
 distribution. It supports different mail accounts (POP, IMAP, Gmail), has an
 integrated learning Spam filter, and offers easy organization of mails with
 tagging and virtual folders. Also, more features can be added by installing
 extensions.
 .
 This package contains the debug symbols for Icedove. Install this package if
 you need to debug such a program or if you need a useful backtrace of a
 crash.
 .
 This is a transitional package. It can be safely removed.

Package: lightning
Architecture: any
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 calendar-google-provider,
 fonts-lyx,
Provides:
 calendar-timezones,
 iceowl-extension,
Breaks:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Replaces:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Description: Calendar Extension for Thunderbird
 Lightning is a calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.

Package: iceowl-extension
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 lightning (>= ${binary:Version}),
 ${misc:Depends},
Description: Calendar Extension for Thunderbird/Icedove
 Iceowl Extension is an unbranded Lightning Calendar extension for
 Thunderbird/Icedove. It can handle events, event invitations and
 tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on WebDAV.
 .
 This is a transitional package. It can be safely removed.

Package: calendar-google-provider
Architecture: all
Depends:
 lightning (>= ${binary:Version}),
 ${misc:Depends},
Enhances:
 thunderbird,
 lightning,
Description: Google Calendar support for lightning
 This extension adds support for accessing google calendars in Thunderbird
 via lightning.
 .
 It's a recommended component if you want to connect Thunderbird to your
 Google calendar.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-bn-bd (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbg package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ICU_DATA_FILE := $(shell basename mozilla/config/external/icu/data/icud*.dat)
ICU_BUILD := $(shell if ! grep -qs -e "--with-system-icu" debian/mozconfig.default; then echo YES || NO; fi)
ICU_BUILD_DIR := $(CURDIR)/obj-thunderbird/obj-icu
ICU_BUILD_CONFIGURE := --with-data-packaging=archive --enable-static --disable-shared --disable-extras --disable-icuio --disable-layout --disable-tests --disable-samples --disable-strict
ICU_BUILD_CPPFLAGS := "-DU_NO_DEFAULT_INCLUDE_UTF_HEADERS=1 -DUCONFIG_NO_LEGACY_CONVERSION -DUCONFIG_NO_TRANSLITERATION -DUCONFIG_NO_REGULAR_EXPRESSIONS -DUCONFIG_NO_BREAK_ITERATION -DU_CHARSET_IS_UTF8"

THUNDERBIRD_VERSION=$(shell tail -1 mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# build directory used for building the lightning-l10n files
LIGHTNING_L10N_BUILDDIR=debian/lightning-l10n-build
# Iceowl/Lightning version, note this is different from the TB version!
LIGHTNING_VERSION := $(shell python $(CURDIR)/calendar/lightning/build/makeversion.py ${THUNDERBIRD_VERSION})

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# currently needed as workaround for GCC-6 built
# see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
# and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
CFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse
CXXFLAGS += -fno-delete-null-pointer-checks -fno-schedule-insns2 -fno-lifetime-dse

export CC=gcc-6
export CXX=g++-6

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--no-keep-memory -Wl,--reduce-memory-overheads

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	# needed for lightning-l10n
	rm -rf $(LIGHTNING_L10N_BUILDDIR)

override_dh_auto_configure:
	# update config.sub and config.guess
	dh_autotools-dev_updateconfig
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; \
	then cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/configure ]; \
	then cd $(CURDIR)/mozilla && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/mozilla/js/src/configure ]; \
	then cd $(CURDIR)/mozilla/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	cp debian/mozconfig.default mozilla/
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
ifeq ($(ICU_BUILD),YES)
	#####################################################################
	# (re)build upstream icudt5*.dat due disabled usage of system files #
	#####################################################################
	rm -f $(CURDIR)/mozilla/config/external/icu/data/$(ICU_DATA_FILE)
	mkdir -p $(ICU_BUILD_DIR)
	cd $(ICU_BUILD_DIR) ;\
		$(CURDIR)/mozilla/intl/icu/source/configure $(ICU_BUILD_CONFIGURE) CPPFLAGS=$(ICU_BUILD_CPPFLAGS) ;\
		$(MAKE) VERBOSE=1 -j$(NUMJOBS)
	@ICU_DATA_FILE_CREATED=$$(basename $(ICU_BUILD_DIR)/data/out/icud*.dat) ;\
	test -f $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED && cp $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED $(CURDIR)/mozilla/config/external/icu/data ;\
	echo "created new ICU_DATA_FILE in $(CURDIR)/mozilla/config/external/icu/data/$$ICU_DATA_FILE_CREATED"
endif
	# configure the various build settings
	# thunderbird, thunderbird-dev, calendar-google-provider, lightning
	DIST= make -f client.mk configure

override_dh_auto_build:
	# building the stuff
	make -f client.mk build
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/icedove-l10n; \
	for XPI in *; do \
		LOCALE=`basename $${XPI}`; \
		xpi-pack $${LOCALE} ../$(THUNDERBIRD_L10N_BUILDDIR)/$${LOCALE}.xpi; \
	done
	# build lightning-l10n
	mkdir -p $(LIGHTNING_L10N_BUILDDIR)
	cd $(CURDIR)/iceowl-l10n; \
	for dir in ?? ??? ??-*; do \
		cd $${dir}; \
		zip -q -X -r ../../$(LIGHTNING_L10N_BUILDDIR)/$${dir}.jar locale; \
		cd -; \
	done
	rm -rf $(LIGHTNING_L10N_BUILDDIR)/en-US.jar

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	make -f client.mk install DESTDIR=$(CURDIR)/debian/tmp
	# install thunderbird-l10n
	cd $(CURDIR)/icedove-l10n; \
	for DIRECTORY in *; do \
		LOCALE=`echo $${DIRECTORY} | tr [:upper:] [:lower:]`; \
		ID=`cat $${DIRECTORY}/install.rdf | sed --posix '/em:id=/!d;s/[ ]*em:id="//;s/".*//'`; \
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/$${DIRECTORY}.xpi $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/share/thunderbird/extensions/$${ID}.xpi; \
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/lib/thunderbird/extensions; \
		ln -sf /usr/share/thunderbird/extensions/$${ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${LOCALE}/usr/lib/thunderbird/extensions/$${ID}.xpi; \
	done
	# install lightning-l10n
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/chrome; \
		install -m 644 $${jar} $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/chrome/; \
	done
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/lightning/extensions/; \
		ln -sf /usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/ \
			$(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/lightning/extensions/langpack-$${locale}@lightning.debian.org; \
		mkdir -p $(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/thunderbird/extensions/; \
		ln -sf /usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/ \
			$(CURDIR)/debian/lightning-l10n-$${locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@lightning.debian.org; \
	done
	# install lightning-l10n; install.rdf
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
		sed -e s"/##LOCALE##/$${locale}/" -e s",##VERSION##,$(LIGHTNING_VERSION)," \
			debian/lightning-l10n-install.rdf.in \
			> $(CURDIR)/debian/lightning-l10n-$${locale}/usr/share/lightning/extensions/langpack-$${locale}@lightning.debian.org/install.rdf; \
	done
	# install lightning-l10n; chrome.manifest
	for jar in $(LIGHTNING_L10N_BUILDDIR)/*.jar; do \
		lang=`basename $${jar} .jar`; \
		locale=`basename $${jar} .jar | tr 'A-Z' 'a-z'`; \
